================================================================================
Intel(R) Server BIOS Development
================================================================================
Intel(R) Server Boards and Systems
Intel(R) Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA
================================================================================
DATE    : Aug 03, 2018
TO      : Intel(R) Server Platform Customers
SUBJECT : BIOS Release notes for Version R0044
================================================================================
                           LEGAL INFORMATION
================================================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation 
may have patents or pending patent applications, trademarks, copyrights, or
other intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any such
patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2018 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Stamp : S1200BT.86B.02.00.0044
Build Date  : July 25, 2018

================================================================================
                           BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported: 
  Intel(R) Core (TM) Processor Family

Microcode update versions:
Intel(R) Xeon processor E3-1200 series D1   stepping: 0x00000028 CPUID = 0x206a6 
Intel(R) Xeon processor E3-1200 series D2   stepping: 0x0000002d CPUID = 0x206a7 
Intel(R) Xeon processor E3-1200 series Q0   stepping: 0x0000002d CPUID = 0x206a7
Intel(R) Xeon processor E3-1200V2 series B0 stepping: 0x0000000C CPUID = 0x306a2
Intel(R) Xeon processor E3-1200V2 series C0 stepping: 0x00000007 CPUID = 0x306a4
Intel(R) Xeon processor E3-1200V2 series K0 stepping: 0x00000009 CPUID = 0x306a5
Intel(R) Xeon processor E3-1200V2 series D0 stepping: 0x00000004 CPUID = 0x306a6
Intel(R) Xeon processor E3-1200V2 series E0 stepping: 0x00000010 CPUID = 0x306a8
Intel(R) Xeon processor E3-1200V2 series E1 stepping: 0x0000001f CPUID = 0x306a9

On-Board Component Option ROM Versions:
IBMC Matrox VGA (s1200BTL)         : VBE BIOS V3.8
SM712 Video Option ROM (S1200BTS)  : v2.24.03r
Intel Rapid Storage Technology     : v11.0.0.1339
ESRT2 SWRAID (Legacy) Option ROM   : A.10.02251631I
Intel iSCSI Boot Oprom             : v2.7.53
82579 EEPROM Version               : v1.0
82579 PXE Version                  : Intel(R) Boot Agent GE v1.3.65
82574L PXE Version                 : Intel(R) Boot Agent GE v1.3.65
Memory Reference Code Version      : v1.2.0
Intel(R) SPS ME Firmware Package   : SPS_02.02.00.049

================================================================================
                       SYSTEM FIRMWARE REQUIREMENTS
================================================================================
BIOS Update Utility: 
  UEFI iFlash32 v11.0 Build 11
  
Production boards:
  Product     Fab Version   BMC      FRUSDR    EEPROM
  S1200BTLR    FAB3          N/A      N/A       v1.0       
  S1200BTSR    FAB3          N/A      N/A       V1.0
  S1200BTLRM  FAB1          N/A      N/A       V1.0

================================================================================
                           INSTALLATION NOTES
================================================================================

WARNING:  When in TXT mode, updating the BIOS in the Trusted OS Environment is
not recommended. It may cause system boot failure when shutting down the system 
inappropriately after BIOS flash update. The only way to recover the system 
would be either through BIOS recovery or clear CMOS.

!!!!!Recommend exiting the Trusted Environment before updating the BIOS, or
updating the BIOS in a normal OS environment.


UEFI iFlash32 v11.0 Build 11
   1.  Boot the system to EFI Shell
   2.  Copy IFlash32.efi and BIOS .CAP file to an HD or USB Flash Drive
       (Do not use the *Rec.CAP file as it will clear NVRAM and should
       only be used for Recovery - See Recovery Instructions below)
   3.  Map the respective storage device in system with the command
       Shell> map -r
   4.  Change the Shell to mapped device file system
       Example: Shell> fs0: (or fs1:)
   5.  Run updBIOS.nsh
   6.  Reboot system after the update is completed.

================================================================================
                        BIOS RECOVERY INSTRUCTIONS
================================================================================

The Recovery process can be initiated by setting the recovery jumper
(called BIOS Recovery Boot Jumper)

A BIOS recovery can be accomplished from USB Mass Storage device. 
Please note that recovery from USB floppy is not supported on this platform. 

The recovery media must contain the following files under the root directory:
   1.  BML.rom
   2.  UEFI iFlash32 11.0 Build 11 
   3.  *Rec.CAP
   4.  Startup.nsh (update accordingly to use proper *Rec.CAP file)

BIOS starts the recovery process by first loading and booting to the recovery
image file (BML.rom) on the root directory of the recovery media (SATA CD or
USB disk). This process takes place before any video or console is available.
Once the system boots to this recovery image file (BML.rom), it will boot
automatically into EFI Shell to invoke the Startup.nsh script and start the
flash update application (IFlash32.efi). IFlash32.efi requires the supporting
BIOS Capsule image file (*Rec.CAP). After the update is complete, there will be
a message displayed stating that the "BIOS has been updated successfully"
indicating the recovery process is finished. The User should then switch the
recovery jumper back to normal operation and restart the system by performing a
power cycle.


The following steps demonstrate this recovery process:
   1.  Record the current BIOS version and Power OFF the system.
   2.  Insert recovery media.
   3.  Switch the recovery jumper. Details regarding the jumper ID and location
       can be obtained from the Board EPS for that Platform.
   4.  Power ON the system.
   5.  The BIOS POST screen will appear displaying the progress, and system
       automatically boots to the EFI SHELL.
   6.  Startup.nsh file executes, and initiates the flash update (IFlash32.efi)
       with new capsule file (*Rec.CAP). The regular IFlash message will be
       displayed at the end of the process, once the flash update succeeds.
   7.  Power OFF the system, and revert the recovery jumper position to "normal
       operation".
   8.  Power ON the system.
   9.  Do *NOT* interrupt the BIOS POST during the first boot.

================================================================================
                            KNOWN ISSUES/WORKAROUNDS
================================================================================
 - R0028 and later bios release supports AHCI hot plug feature, user need to 
   load setup default after updated BIOS from previous version of BIOS release
   before R0028.
 - System BIOS can't be downgraded from R29 to the previous version.
 - Before R0035 bios release, IVB/SNB BIOS can't upgrade/downgrade from or to 
   SNB only BIOS directly. Please use programmer upgrade/downgrade bios offline, 
   or please use *rec.cap to update the bios.
 - To keep the upgrade/downgrade compatibility between SNB only bios and IVB/SNB
   bios. Pervious SNB/IVB bios R0033 can't update directly to R0035, please  
   update *rec.cap from R0033 to R0035.
 - R0038 supports the BTP RM SKU. BTP_038_RM.ROM is used to update BIOS ROM on 
   BTP RM SKU. The ME capsule is the same one as LC SKU.
 - R0038 and above cannot be downgraded to R0037 or earlier version On BTP RM 
   SKU. On LC/SE SKU, it has not the limitation.

================================================================================
                               R02.00.0044
================================================================================
-This version enhances the protection of SMMRuntime driver as described in 
	Intel Security Advisory INTEL-SA-00056
   
================================================================================
                               R02.00.0043
================================================================================
- Integrated new microcode m12206a7_0000002d and m12306a9_0000001f
Mitigation of Speculative Execution Side Channel analysis variant #2
(commonly "Spectre"). For comprehensive mitigation, please insure the latest 
security patches from OS Vendor as well as this update are applied."

================================================================================
                               R02.00.0042
================================================================================
-This version enhances the protection of certain UEFI variables as described in 
	Intel Security Advisory INTEL-SA-00038


================================================================================
                               R02.00.0041
================================================================================
- Fixed: Reference Code 1.3.1 update to fix packet loss issue on Intel 82579 
         GBE controller.

Other:
- Add an option in setup menu to control Enable/Disable PCIe/PCI Option ROMs

================================================================================
                               R02.00.0040
================================================================================
- Fixed: NIC1 will be changed to disabled in BIOS after updating to BIOS R02.00.0037 on 
	 Intel(R) Server Board S1200BTL and Intel(R) Server Board S1200BTS.
- Fixed: HECI initialization failure when ME running in recovery mode.
- Fixed: Setup items "Intel VT for directed I/O" and "Console redirection" cannot 
         be updated through load default command line "iflash32.efi /rd."
- Fixed: HDDs LED amber blinking on Intel(R) Server System R1304BTLSHBN.

Other:
- Updated Microcode to revision 0x15 for Intel(R) Xeon processor E3-1200V2 series E1.
- Updated Microcode to revision 0x28 for Intel(R) Xeon processor E3-1200 series D2 and 
  Intel(R) Xeon processor E3-1200 series Q0.
- Remove CPU Core Frequency in BIOS setup.

================================================================================
                               R02.00.0038
================================================================================
- Added: Support Intel(R) Server Board S1200BTLRM SKU

================================================================================
                               R02.00.0037
================================================================================
- Fixed: It's countdown from 65535 seconds after auto reboot when UEFI install 
  OS w2k8 R2 64bit.
- Fixed: The IFlash32 /rd switch does not work on BTP.
- Fixed: Sync Romely implementation mechanism about function key(F2) show time 
  to user during entering setup engine.
- Fixed: Raise SMI calls fail for Any BIOS variables in OS GUID Partition.
- Fixed: Unable to get Server Management variables on BTP using SysCfg.
- Fixed: Keep the variable Maximum value unchanged compared to the previous 
  release R0035.

Other:
- Added: New setup option onboard NIC disable/Enable.  
- Added: The support to modify boot orders using some third party tool.
- Added: New setup option to Show CPU Core Ratio in Setup Menu.
- Added: New feature "Power on Password".
- Added: Update ME FW to SPS_02.02.00.049.

================================================================================
                               R02.00.0035
================================================================================
- Fixed: Errors logged in SEL when certain add-in video cards were installed.
- Fixed: SAS module RMS2AF040 is not detected when Intel(R) E3-1200V2 series 
  processors are installed.
- Fixed: When memory is installed in dual mode, BIOS setup reports the memory 
  as Independent mode.
- Fixed: 4k sector HDD's set as non-bootable causes the system to take 10 
  minutes to boot.
- Fixed: Intel(R) RAID controller RS5DB080 cannot be detected in the UEFI 
  environment when EFI optimized Boot is enabled in BIOS setup.
- Fixed: With Front Panel Lockout enabled in BIOS setup, the front panel NMI 
  button is still functional.
- Fixed: Server Management Settings cannot be configured using the SysCfg 
  utility.

================================================================================
                               R01.00.0032
================================================================================
- Fixed: ME might enter recovery mode after some specific scenario on Intel(R) 
  Server Board S1200BTS.
- Fixed: Console redirection item is not shown correctly in BIOS setup page.
- Fixed: A bug relate to NMI function.
- Fixed: Adaptec 6445 compatible issue with Intel(R) Server Board S1200BTL.
- Fixed: Integrated BMC and RMM4 NIC settings in BIOS setup are gone after 
  load default.

Other:
- Update Intel(R) Rapid Storage Option Rom to the version v10.6.0.1091

================================================================================
                               R01.00.0030
================================================================================
- Fixed: Incorrect error message in BIOS setup Error Manager after flashing the 
  BIOS.
- Fixed: With TXT enabled, a USB keyboard may become non-functional after as USB 
  flash drive is inserted/removed.
- Fixed: RMM4 password cannot be set in BIOS Setup.
- Fixed: When multiple USB devices are connected via a hub, some USB devices may 
  not be detected by BIOS.

Other:
- Added:	 Enabled ACPI S3 capability.

================================================================================
                               R01.00.0029
================================================================================
- Fixed: SMBIOS flash data will be lost after a BIOS update. 
- Fixed: System hangs when getting SMBIOS flash data after the second reboot. 
- Fixed: DMIedit utility cannot write Board S/N and PBA in EFIx64 and Microsoft* 
  Windows*.

Other:

- Update: Microcode to revision 18.

================================================================================
                               R01.00.0028
================================================================================
- Fixed: Hotplug not supported under AHCI mode.
- Fixed: System doesn't reboot properly with EUP LOT6 enabled.
- Fixed: Intel (R) RAID Controller RS2BL040 in S1200BTL: Pressing Ctrl+G will 
  not display RAID BIOS Console 2.
- Fixed: Microsoft* Windows* 2008 R2 cannot be installed properly with the NIC 
  ROM disabled.
- Fixed: Ambient temperature reading is incorrect.
- Fixed: When CTRL+I is pressed via remote console with Console Redirection 
  enabled, the system will hang.

Other:
- Update: Processor microcode to version 17.
- Added:  Intel (R) TXT support.

================================================================================
                               R01.00.0027
================================================================================
- Fixed: System may hang during OS reboot testing.
- Fixed: SMBIOS Type 17 memory total width variable is incorrect.

Other: 
- Change: S1200BTSE SIO clock changed from 24MHz to 48Mhz

================================================================================
                               R01.00.0025
================================================================================
- Fixed: The video output during OS installation is larger than the intended 
  video resolution.
- Fixed: The system cannot be awakened on LAN from ACPI S1 sleep state.
- Fixed: After setting BIOS defaults and with the Admin password set, the Admin 
  password is not required to enter BIOS setup after the first reboot.
- Fixed: The Error Manager in BIOS setup incorrectly displays "B6A3--DXE boot 
  services driver Unrecognized" when a USB optical device is attached.
- Fixed: Installing Linux RHEL6* in AHCI mode creates errors in the dmesg log.
- Fixed: The BMC version number is not being correctly displayed in BIOS Setup.
- Fixed: Fan Speeds are not correctly displayed in BIOS setup on S1200BTS.

Other:
- Updated: SM712 OPRom to version 2.24.03p.
- Added:   NVRAM recovery feature. 

================================================================================
                               R01.00.0024
================================================================================
- Fixed: Server Active Console is not available on the remote console.
- Fixed: Bios settings cannot be changed after running 'syscfg /bldfs' to load 
  Bios defaults.
- Fixed: Microsoft Windows 2008* R2 64 bit fails to load when using an LSI* 
  20320 RAID adapter.
- Fixed: BIOS Admin password gets cleared after loading BIOS defaults <F9>.

Other:
- Updated: Fan Speed Control.
- Enabled: Global reset after ME update.
- Updated: SM712 VBIOS to version2.24.03n

================================================================================
                               R01.00.0022
================================================================================

- Fixed: System hangs when there is only one hard disk in the boot order device 
  type.
- Fixed: System Acoustics and Performance: Selectable options are incorrect.
- Fixed: SE Video has no output from slot5 using a VGA video card.
- Fixed: Admin Password is cleared after loading BIOS defaults.
- Fixed: Cannot boot from a USB device that emulates a CD-ROM.
- Fixed: The Help Text descriptions of BIOS items are not consistent. 
- Fixed: ME update displays 0.0.0.0 in BIOS setup after update.
- Fixed: System Boot Timeout is incorrect; the default should be zero.
- Fixed: Microsoft* Windows* installation to iSCSI target fails.

================================================================================
                               R01.00.0018
================================================================================

- Fixed: The Serial Port Console Redirection cannot be set to enabled.
- Fixed: Console redirection is non-functional after ME update.

Other:
- Update: Intel(R) Xeon processor E3-1200 series D2 stepping Microcode(uCode) to v14.

================================================================================
                               R01.00.0016
================================================================================

 - Initial production BIOS release for the Intel(R) Server Board S1200BT.


[END OF RELEASE NOTES]
